Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 07 Oct 2021 03:46:47 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns One of the worst experiences ever! I received a non working safe and tried for days before my flight to have it picked up and replaced. That never happened. Then upon my return, I emailed customer service to have this issue resolved and since October 2nd, all I keep receiving are email responses promising to have someone contact me or promising to have this matter resolved but all promises are empty. I have not had one call yet!!!! An simple apology for my inconvenience will not be accepted anymore!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3195494